Subject: Re: bug#16026: Gnus shouldn't use old connections

From: Ted Zlatanov <[email-masked]>
Date: Tue, 31 Jan 2017 09:37:06 -0500

On Mon, 30 Jan 2017 17:38:22 -0500 Stefan Monnier <[email-masked]> wrote: 

>> I would make it a per-connection setting using the scheme that Michael
>> Albinus has implemented. Then it can be set per host etc.

SM> Not sure if it's worth the trouble, but as long as I can easily set it
SM> globally, that's fine by me.

SM> PS: For me, the need is global because it is mostly caused by NAT
SM> translation, which hence affects the connections to basically all hosts,
SM> except for the very few which are on the same side of the firewall as
SM> I am.

Yes, that's a common situation. Another is home vs. work connections with
different profiles.

It's easy to create an ad-hoc system just for network timeout
parameters, like I did with many GnuTLS parameters early on, but the
systematic approach Michael gave us is much better. The only reason I
haven't implemented it is lack of time.

Ted